#!/usr/bin/perl -w

package Login;

BEGIN {
    use src::MymoneyUI;
};


use strict;


#use Encode;
use utf8;
#use open ':utf8', ':std';

use Gtk2;
init Gtk2;

use lib "./";
use lib::Table;

my $MyUI;
my $retcode="";
my %MyMoney;

sub run {
    my ($class, %params) = @_;
    %MyMoney=%params;
    
    $retcode=0;    
    my $window=$class;
    $MyUI=$window;
    $window->TOPLEVEL->set_title('Přihlášení');
    $MyMoney{'MainCfg'}->window_open("Login",$MyUI->TOPLEVEL);
    $window->TOPLEVEL->show;
    Gtk2->main;
    return($retcode);
};

sub toplevel_hide    { shift->get_toplevel->hide    }
sub toplevel_close   { shift->get_toplevel->close   }
sub toplevel_destroy { shift->get_toplevel->destroy }

sub on_button_close_clicked {
    $MyMoney{'MainCfg'}->window_close("Login",$MyUI->TOPLEVEL);
    $MyUI->TOPLEVEL->hide;
    Gtk2->main_quit;
};

sub on_Login_unrealize {
    $MyMoney{'MainCfg'}->window_close("Login",$MyUI->TOPLEVEL);
    Gtk2->main_quit;
};

sub on_button_ok_clicked {
    my $login_failed=1;
    my $Uzivatel=new Table('g_Uzivatel',%MyMoney);
    if($Uzivatel->load("login='".$MyUI->FORM->{'entry_login'}->get_text."'",1)) {
        if(($Uzivatel->get('password') eq '') && ($MyUI->FORM->{'entry_login'}->get_text eq '')) {
            $login_failed=0;
        } else {
            if($Uzivatel->get('password') eq crypt($MyUI->FORM->{'entry_passwd'}->get_text,'oo')) {
                $login_failed=0;
            };
        };
    };
    if($login_failed) {
        my $Dialog=new Dialog;
        $Dialog->show('text'=>"Neplatné přihlášení!",'type'=>'error');
        return;
    };
    $MyMoney{'MainCfg'}->window_close("Login",$MyUI->TOPLEVEL);
    $retcode=$Uzivatel;
    $MyUI->TOPLEVEL->hide;
    Gtk2->main_quit;
};

1;
