#!/usr/bin/perl -w

package DatabaseStruct;

#use strict;

use Encode;
use utf8;

use lib "./";

%col_type=(
    "D" =>  "date",
    "N" =>  "numeric",
    "TI" =>  "tinyint",
    "S" =>  "smallint",
    "I" =>  "int",
    "C" =>  "char",
    "V" =>  "varchar",
    "T" =>  "text"
);

%key_type=(
    "P" =>  "primary key",
    "K" =>  "key",
    "U" =>  "unique key",
    "F" =>  "fulltext key"
);


%table_struct=(
    "TABLE_NAME" => (
        "cols"  => [
                ["NAME","COL_TYPE","LENGTH {'','3','15,2'}","{AUTO}"],
            ],

        "keys" => [
                ["NAME","KEY_TYPE","col1,col2,..."]
            ]
        )
    );

1;
